Firefox entre Sid et stable


#1

Bonjour,

J’ai une question non-technique qui peut sembler bête mais j’avoue ne pas comprendre la logique de Debian par rapport à Firefox.
En effet, dans les dépôts stables on ne le trouve qu’en version ESR. Ce qui est bien adapté pour les entreprises, les organisations ou les particuliers qui se contentent d’une grosse mise à niveau par an.
Alors que dans le dépôt Sid on trouve non seulement la version ESR mais aussi la version stable de Firefox.
Si Sid n’est pas considérée par les développeurs Debian comme une distribution à part entière alors pourquoi y avoir intégré aussi Firefox stable si il n’est pas prévu de le retrouver dans les dépôts stable de Debian?
Il me serait semblé plus logique d’avoir, soit seulement une des deux versions dans les dépôts Sid qu’on retrouvera dans stable, soit les deux pour laisser le choix à chacun. Mais j’avoue que je ne comprend pas ce choix d’intégrer les deux versions dans Sid pour ne retrouver que la version ESR dans stable.
Si vous en savez plus que moi sur ce sujet, je serais curieux de connaitre la raison de ce choix.


#2

Bonjour,

Je crois savoir que Sid est bien une distribution officielle de Debian. Elle est déconseillée par l’équipe parce qu’elle peut être instable.

Sinon concernant l’ESR, c’est assez normal. Cela empêche l’utilisateur d’installer une version “non-stable” de Firefox sur un système qui doit l’être. Je pense que l’ESR correspond bien mieux à l’esprit de la version stable de Debian.


#3

rien n’empêche d’utiliser à la fois la version ESR de stable et la version actuelle de firefox; il suffit de télécharger le tar.gz depuis le site de mozilla et de le décompresser dans son home; les deux versions fonctionnant avec le même fichier ~/.mozilla


#4

Le choix de Firefox-esr est cohérent pour faire de Debian Stable une version ultra solide.
Néanmoins Firefox-esr passe aussi par des période de test dans Sid/unstable.
Ce n’est donc pas exactement toujours la même version de Firefox-esr qui est dans Stable et dans Sid/unstable
Et pour ceux qui veulent absolument les dernières versions il est logique que Firefox soit aussi dans Sid/unstable

C.F

 apt policy firefox
firefox:
  Installé : (aucun)
  Candidat : 66.0-1
 Table de version :
     66.0-1 100
        100 https://cdn-aws.deb.debian.org/debian sid/main amd64 Packages

 apt policy firefox-esr
firefox-esr:
  Installé : (aucun)
  Candidat : 60.6.0esr-1~deb9u1
 Table de version :
     60.6.1esr-1 100
        100 https://cdn-aws.deb.debian.org/debian sid/main amd64 Packages
     60.6.0esr-1~deb9u1 990
        990 https://cdn-aws.deb.debian.org/debian-security stretch/updates/main amd64 Packages
     60.5.1esr-1 990
        990 https://cdn-aws.deb.debian.org/debian buster/main amd64 Packages
     60.5.0esr-1~deb9u1 500
        500 https://cdn-aws.deb.debian.org/debian stretch/main amd64 Packages
     52.8.1esr-1~deb8u1 500
        500 https://cdn-aws.deb.debian.org/debian jessie/main amd64 Packages

En savoir plus
https://www.debian.org/doc/manuals/debian-faq/ch-choosing


#5

Concernant l’ESR je suis totalement d’accord. Cela répond aux besoins particuliers de l’utilisation en environnement professionnel de production ou la stabilité et la sécurité priment.

Par contre pour Sid, lorsqu’on lit le wiki de Debian, son utilisation est tellement déconseillée que ça décourage la plupart des personnes éventuellement intéressées. On en trouve des avis positifs que sur des forums ou des blogs personnels. Donc qui croire?
Je pense que dans ce cas le mieux est de se faire un avis par soi même. Mais je comprends tout à fait les hésitations d’une personne qui aimerait utiliser Sid sur son ordinateur personnel en lisant les mises en garde de la documentation officielle. Je pense que ces mises en gardes devraient être plus nuancées (mais ce n’est qu’un avis personnel).


#6

La mise en garde concernant Sid est surtout à destination des utilisateurs de base qui ne pourraient pas récupérer un problème suite à une mise à jour destructrice ce qui peut toujours arriver sur Sid.
Il y a des moments où il faut jouer de la ligne de commandes pour réparer des dépendances cassées et ce n’est pas forcément donné à tout le monde.
Avec Sid tout va bien jusqu’au jour ou ça va plus du tout… :grin:
En outre beaucoup d’utilisateurs souffrent du syndrome " je veux la dernière version de mon application" sans même savoir pourquoi ni même avoir remarqué des problèmes d’utilisation avec la version stable.


#7

Si tu es capable de poster un message sur un forum, ce que tu viens de prouver, alors tu es suffisamment qualifié pour utiliser Debian Sid au quotidien :wink:

Cette version est déconseillée pour un usage en production, mais cette recommandation ne concerne quʼune utilisation en milieu professionnel.


#8

Merci. Je pensais que son administration demanderait plus de compétences (je ne suis pas un professionnel, juste un amateur ayant un peu d’expérience). Je verrais bien avec le temps si j’ai des soucis.


#9

l’installation du paquet apt-listbugs est indispensable pour qui veut utiliser sid(et testing) ; penser aussi à faire des sauvegardes régulières de l’existant qui fonctionne.


#10

De plus il est nécessaire d’avoir une partition home séparée pour éviter de tout perdre dans les cas les plus graves, ainsi qu’un live USB sous la main pour réparer d’éventuels dégâts.


#11

c’est le minimum syndical